pgfouine_vacuum(1)

NAME
pgfouine_vacuum - PostgreSQL VACUUM log analyzer

SYNOPSIS
pgfouine_vacuum -file <file> [-report [outputfile=]<block1,block2>] [-filter <filter>]

DESCRIPTION

-file <file>
    log file to analyze

-   read the log from stdin instead of -file

-report [outputfile=]<block1,block2>
    list of report blocks separated by a comma report blocks can be: overall, fsm, vacuumedtables, details

    You can add several -report options if you want to generate several reports at once.

-filter <filter>
    filter of the form: database or database.schema filter is applied on output only

-title <title>
    define the title of the reports

-memorylimit <n>
    PHP memory limit in MB. Default is 128.

-debug
    debug mode

-profile
    profile mode

-help
    this help

AUTHOR
pgfouine was written by Guillaume Smet <guillaume-pg at smet dot org>.

This manpage was written by Clement Stenac <zorglub at debian dot org> for the Debian project, but may be used by others.